<template lang="html">
  <content-screen mode="page" :scroll="false">
    <div class="widget">
      <iframe ref="iframe" :src="src" width="100%" height="100%" :allow="widgetPerms"></iframe>
    </div>
  </content-screen>
</template>

<script>
export default {
  props: ['widgetPerms', 'src', 'message'],
  mounted() {
    if(this.message) {
      window.addEventListener(this.message, this.receiveMessage, false);
    }
  },
  methods: {
    receiveMessage(e) {
      this.$emit('message', e.data);
    },
    sendMessage(payload) {
      this.$refs.iframe.contentWindow.postMessage(payload, '*');
    },
  },
}
</script>

<style lang="scss" scoped>
.widget {
  display: flex;
  flex-direction: column;
  justify-content: stretch;
   -webkit-overflow-scrolling: touch;
  overflow-y: auto;
  flex-grow: 1;
}
iframe {
  border: 0;
  -webkit-transform: translate3d(0, 0, 0);
  -webkit-overflow-scrolling: touch;
  flex-grow: 1;
}
</style>
